
{
    margin: 0;
    padding: 20px;
    box-sizing: unset;
    font-family: "Crimson Pro", serif;
}

body {
    background-color: #E3E3E3;
    height: 100vh;
} 

.interface{ 
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 4%;
    }
header .btn-contato button{
    display: none;
}

header .btn-contato button, .hero-site button, .hoteis button {
    font-size: 24px;
    background-color: transparent;
    border: 2px solid #fff;
    color: #fff;
    cursor: pointer;
    transition: .5s;
}
    header .btn-contato button:hover, .hero-site button:hover, .hoteis button:hover {
        background-color: #fff;
        color: #000;
    }

/* Estilo do header */
header{
    width: 100%;
    padding: 15px 0;
    position: fixed;
    top:0;
    left:0;
    background-color: #000;
    transition: 0.3s;
    z-index: 99999999999999999999999999999;
}
header .interface { 
    display: flex;
    justify-content: space-between;
    align-items: center;
}
header .logo img{
    max-width: 40px;
}
/*------------------------------Estilo do menu dinâmico------------------------*/
    
header .logo img.logo-preto{
    display:none;
}
header.rolar{
    background-color: #fff;
    padding: 20px 0;
    box-shadow: 0, 0, 8px, #00000061;
}
header.rolar .menu-desktop nav ul li a{
    color: #000;
}
    header.rolar .btn-contato button{
        border: 1px solid #000;
        color: #000;
    }
        header.rolar .btn-contato button:hover{
            background-color: #fff;
            color: #fff;
        }
    header.rolar .logo .logo-branca{
        display: none;
    }
    header.rolar .logo .logo-preto {
        display: block;
    }
    /*-----------------------------Termino do Estilo do menu dinâmico----------------*/
    header .menu-desktop nav ul {
        list-style-type: none;
    }
header .menu-desktop nav ul li{
    display: inline-block;
    margin: 0 40px;
}
header .menu-desktop nav ul li a {
        color: #fff;
        text-decoration: none;
        display: inline-block;
        transition: .2s;
    }

    .menu-desktop nav a:hover{
        transform: scale(1.10);
    }

header .btn-contato button{
    width: 140px;
    height: 50px;
}
/* ------------------------------ Estilo do botão mobile --------------------------------*/
header .btn-menu-mob{
    display: none;
    position: relative;
    z-index: 999999999999999999999999;
}
header .btn-menu-mob div {
    background-color: #000;
    height: 3px;
    margin: 10px 0;
    transition: .3s;
}

header .btn-menu-mob .line-menumob-1 {
    width: 30px;
}
header .btn-menu-mob .line-menumob-2 {
    width: 20px;
}

header.rolar .btn-menu-mob div {
    background-color: #000;
}

header .btn-menu-mob .line-menumob-1.ativo1{
    transform: rotate(45deg) translate(30%);
    background-color: #fff;
}
header .btn-menu-mob .line-menumob-2.ativo2 {
    transform: rotate(-45deg) translate(30%);
    width: 30px;
    background-color: #fff;
}

/* ------------------------------ Estilo do menu mobile --------------------------------*/

header .menu-mobile {
    width: 0;
    height: 0;
    background-color: #081871;
    opacity: 85%;
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    overflow: hidden;
    transition: .5s;
}
    header .menu-mobile nav{
        width: 100%;
    }
    header .menu-mobile nav ul {
        list-style-type: none;
    }

header .menu-mobile nav a{
    font-size: 24px;
    text-decoration: none;
    color: #fff;
    padding: 20px 0;
    display: block;
    transition: .5s;
}
    header .menu-mobile nav a:hover{
        background-color: #fff;
        color: #000;
        box-shadow: 0 0 20px #fff;
    }
    header .menu-mobile.abrir {
        width: 100%;
        height: 100vh;
    }
body.no-overflow {
    overflow: hidden;
}
/*--------------------------------------Estilo do hero -------------------------------*/
section.hero-site {
    height: 98vh;
    background-image: url(../images/bg-inicio-site.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: #fff;
}
.hero-site .interface{
    display:flex;
    align-items:center;
    height:100%;
}
.hero-site .txt-hero h1 {
    font-size: 4em;
    line-height: 70px;
    font-weight: 200;

}
.hero-site .txt-hero h2 {
    font-size: 4em;
    line-height: 90px;
    font-weight: 300;
}
    .hero-site .txt-hero h1 span {
        display: block;
        font-weight: 800;
        color: #E3E3E3;
    }
.hero-site .txt-hero p {
    font-size: 20px;
    font-weight: 300;
    margin: 20px 0;
    color:#E3E3E3;
}
    .hero-site .txt-hero p span {
        display: block;
        color: #fff;
    }
.hero-site button {
    width: 220px;
    height: 60px;
    font-size: 40px;
    color: #fff;
}

    /* Estilo dos Botões de Contato*/
    section.contato{
        background-color: #fff;
        padding: 130px 0;
    }
    .txt-contato, .icons-contato{
        display: inline-block;
        width: 50%;
        margin-right: -4px;
        vertical-align: middle;
    }
    .contato .txt-contato h3{
        font-size: 2.5em;
        line-height: 50px;
        font-weight: 300;
        margin-bottom: 20px;
    }
        .contato .txt-contato h3 span {
            display: block;
            font-weight: 700;
        }
        .contato .txt-contato p {
            font-size: 1.5em;
            font-weight: 400;
    }
    .contato .icons-contato a{
        text-decoration: none;
    }
    .contato .icons-contato button{
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 0 60px;
        width: 60%;
        height: 60px;
        margin:0 auto 20px auto;
        background-color: transparent;
        border: 2px solid #000;
        cursor:pointer;
        transition: .8s;
    }
.contato .icons-contato button i{
    font-size: 24px;
}
        .contato .icons-contato button p {
            font-size: 2.0em;
            font-weight: 400;
        }
            .contato .icons-contato button:hover {
    background-color: #000;
}
.contato .icons-contato button:hover i, .contato .icons-contato button:hover p {
                    color: #fff;
         }

/* Estilo do rodapé*/
footer{
    background-color:#000;
    width: 100%;
    text-align: center;
    padding: 30px 0;
}
footer .top-footer button{
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: 2px solid #fff;
    background-color: transparent;
    color: #fff;
    font-size: 24px;
    cursor: pointer;
    margin: 0 10px;
    transition-delay: 0.1s;
}
    footer .top-footer button:hover{
        background-color: #fff;
        color: #000;
    }
    footer .middle-footer{
        margin: 20px 0;

    }
    footer .middle-footer a {
        color: #fff;
        margin: 0 15px;
    }
    footer .bottom-footer{
    border-top: 2px solid #fff;
    }
    footer .bottom-footer p {
        color: #fff;
        margin-top: 10px;
    }